[Debian] Résoudre le problème du bruit d’un Proliant ML370 G3 sous Debian Lenny

J’ai a ma disposition un ML370 G3 tournant sur une Debian Lenny. Tout fonctionne à merveille hormis un petit problème. Ce serveur est horriblement bruyant. Ceci est dut à l’utilisation intensive des ventilateurs (aux minimum 3).

Pour palier à ce problème HP propose un outil : HP ProLiant Value Add Software qui permet de limiter l’utilisation des ventilateurs (entre autre) à leur stricte nécessaire.

Seul problème : HP ne propose qu’un paquet pour Debian etch. Qu’à cela ne tienne nous allons voir ici comment le faire fonctionner sur une lenny.

Tout d’abord rendez vous sur le site d’HP pour télécharger le fichier Debian 4.0 (Etch) – HP ProLiant Value Add Software i386. (Le téléchargement requière une inscription gratuite)

Récupérer donc le fichier hpasm-7.8.0-100.etch26.i386.deb sur votre serveur. Vous pouvez tentez l’installation ceci vous retournera  une erreur.

# dpkg -i hpasm-7.8.0-100.etch26.i386.deb
Sélection du paquet hpasm précédemment désélectionné.
(Lecture de la base de données… 31875 fichiers et répertoires déjà installés.)
Dépaquetage de hpasm (à partir de hpasm-7.8.0-100.etch26.i386.deb) …
===========================================================
NOTE: The hpasm package requires the snmpd DEB package
to be installed in order for the agents to function
properly. Please use the apt-get utility to
download the snmpd package.
For example: apt-get install snmpd
===========================================================
===========================================================
NOTE: The storage agents that come packaged with the
hpasm application you are installing, require
the libstdc++2.10-glibc2.2 package in order for
them to run successfully. Please use the apt-get
utility to download the package.
For example: apt-get install libstdc++2.10-glibc2.2
===========================================================
dpkg : erreur de traitement de hpasm-7.8.0-100.etch26.i386.deb (–install) :
le sous-processus pre-installation script a retourné une erreur de sortie d’état 1
Des erreurs ont été rencontrées pendant l’exécution :
hpasm-7.8.0-100.etch26.i386.deb

L’installeur nous dit qu’il manque deux paquets : snmpd et libstdc++2.10-glibc2.2. Pour snmpd pas de problème car il est dans les dépôts un simple aptitude suffira.

# aptitude install snmpd

Mais pour libstdc++2.10-glibc2.2 ceci est une autre histoire. N’étant pas dans les dépôts de lenny nous allons installer la version pour ubuntu qui fonctionne aussi bien.

Télécharger libstdc++2.10-glibc2.2 et installer le.

# wget http://fr.archive.ubuntu.com/ubuntu/pool/universe/g/gcc-2.95/libstdc++2.10-glibc2.2_2.95.4-24_i386.deb

# dpkg -i libstdc++2.10-glibc2.2_2.95.4-24_i386.deb

Ceci fonctionne sans problème et nous pouvons maintenant installer notre hpasm.

# dpkg -i hpasm-7.8.0-100.etch26.i386.deb

Ceci étant fait l’installeur nous propose de lancer une commande de configuration. Ce que nous allons faire.

# /etc/init.d/hpasm configure

Un certain nombre de questions nous sont posées. Répondez y, suivant vos besoins. La fin du script doit vous lancer hpasm, si ce n’est pas le cas vous pouvez le faire manuellement.

# /etc/init.d/hpasm start

Vos ventilateurs ne sont maintenant plus au maximum de leurs possibilités (sauf si besoin) et vous pouvez dormir de nouveau sans vos boules quiès !!

Si vous avez apprécié cet article, pensé à laissé un commentaire ou vous abonner au flux RSS feed.

One thought on “[Debian] Résoudre le problème du bruit d’un Proliant ML370 G3 sous Debian Lenny

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *